Equipment Order Service API
The unique identifier of the merchant.
textThe unique identifier of the order.
textCurrent status of the order.
Possible values: Active Submitted Signed Approved AddedSalesforce BoardedTSYS BoardedQuest Shipped BackOrdered Deleted Completed OffRamp WaitingForTracking BoardedDevice
Timestamp details when the order was created. Includes calendar, time zone, and week data.
Details of when the order was last modified, including time zone, week data, and timestamp.
Indicates if the order is a resubmission.
falseList of supported frontends for the order.
Success
The unique identifier of the merchant.
textThe unique identifier of the order.
textCurrent status of the order.
Possible values: Active Submitted Signed Approved AddedSalesforce BoardedTSYS BoardedQuest Shipped BackOrdered Deleted Completed OffRamp WaitingForTracking BoardedDevice
Timestamp details when the order was created. Includes calendar, time zone, and week data.
Details of when the order was last modified, including time zone, week data, and timestamp.
Indicates if the order is a resubmission.
falseList of supported frontends for the order.
Validation failure
Unknown exception
PUT /api/equipment/orders/resubmit HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 1055
{
"orderItems": [
{
"orderItemId": 1,
"manufacturer": "text",
"productName": "text",
"survey": {
"questionAnswerGroup": {
"questionAnswerSets": {
"ANY_ADDITIONAL_PROPERTY": "[Circular Reference]"
},
"questionAreas": [
"text"
]
},
"metadata": {
"exchangeId": "text",
"timestamp": "2024-06-01T12:34:56.789"
}
},
"quantity": 1,
"validFrontends": [
"text"
],
"errors": [
{
"field": "text",
"message": "text"
}
],
"productType": "Software",
"orderItemMetadata": [
{
"orderStatus": "text",
"terminalId": 1,
"storeNumber": 1,
"getvNumber": "text",
"apiKey": "text",
"publicKey": "text",
"trackingNumber": "text",
"salesforceCaseNumber": "text",
"tcn": "text",
"serialNumber": "text",
"productManufacturer": "text",
"productModel": "text"
}
],
"trackingNumber": "text",
"completionDate": "2026-01-01T00:00:00.000Z",
"surveyValid": true
}
],
"merchantNumber": "text",
"orderId": "text",
"status": "Active",
"metadata": {
"exchangeId": "text",
"timestamp": "2024-06-01T12:34:56.789"
},
"errors": [
{
"field": "text",
"message": "text"
}
],
"orderCreateTime": "2026-01-01T00:00:00.000Z",
"orderModifyTime": "2026-01-01T00:00:00.000Z",
"resubmit": false,
"validFrontends": [
"text"
]
}{
"orderItems": [
{
"orderItemId": 1,
"manufacturer": "text",
"productName": "text",
"survey": {
"questionAnswerGroup": {
"questionAnswerSets": {
"ANY_ADDITIONAL_PROPERTY": "[Circular Reference]"
},
"questionAreas": [
"text"
]
},
"metadata": {
"exchangeId": "text",
"timestamp": "2024-06-01T12:34:56.789"
}
},
"quantity": 1,
"validFrontends": [
"text"
],
"errors": [
{
"field": "text",
"message": "text"
}
],
"productType": "Software",
"orderItemMetadata": [
{
"orderStatus": "text",
"terminalId": 1,
"storeNumber": 1,
"getvNumber": "text",
"apiKey": "text",
"publicKey": "text",
"trackingNumber": "text",
"salesforceCaseNumber": "text",
"tcn": "text",
"serialNumber": "text",
"productManufacturer": "text",
"productModel": "text"
}
],
"trackingNumber": "text",
"completionDate": "2026-01-01T00:00:00.000Z",
"surveyValid": true
}
],
"merchantNumber": "text",
"orderId": "text",
"status": "Active",
"metadata": {
"exchangeId": "text",
"timestamp": "2024-06-01T12:34:56.789"
},
"errors": [
{
"field": "text",
"message": "text"
}
],
"orderCreateTime": "2026-01-01T00:00:00.000Z",
"orderModifyTime": "2026-01-01T00:00:00.000Z",
"resubmit": false,
"validFrontends": [
"text"
]
}Last updated
Was this helpful?

